PVector center=new PVector( width/2, height/2);   
float angle = 0.2;

float colorR = random(10);
float colorG = random(10);
float colorB = random(10);
float move=0;
 
float[][] sin_f=new float[3][10];
final int offset=0;
final int amplitude=1;
final int periode=2;

void setup(){

    frameRate(24);
    fullScreen();
  smooth();

  background(0);
  for(int i=0;i<10;i++){
    sin_f[offset][i]=random(0,45);
    sin_f[amplitude][i]=random(20,100);
    sin_f[periode][i]=random(20,120);
  }
}
 
float getSin(float p){
  float result=0;
  for(int i=0;i<10;i++){
    result+=sin(sin_f[periode][i]+(p*(1/(sin_f[periode][i]))))*sin_f[amplitude][i];
  }
  
  return result+400;
} 

void draw(){
  if (frameCount % 2 == 0) {
    fill(frameCount * 3 % 255, frameCount * 5 % 255,
      frameCount * 7 % 255);
    pushMatrix();
    translate(width/2, height/2);
    rotate(radians(frameCount * 0.5 ));
    rect(0, 0, getSin(1.00*frameCount*0.5 ), 20);
    popMatrix();
  }
  //saveFrame("frame"+(frameCount+1000)+".jpg");
}